{% extends "ajax/game/town/town.html.twig" %}
{% block title %}{{'Die Bürger'|trans({}, 'game')}}{% endblock %}
{% block content %}
    {# @var citizen \App\Entity\Citizen #}
    {% set hour = "now"|date("G") %}
    <div class="row">
        <div class="cell rw-12 town-banner town-banner-houses time-{{ hour }} {% if conf.isNightTime %}night{% endif %}"></div>
    </div>

    {% include 'ajax/game/town/citizen_list_headers.html.twig'  with {active_tab: 'list'} %}

    {% if is_ghoul %}
        {% if caught_chance < 0.5 %}{% set chances = 'gering'|trans({}, 'game') %}{% else %}{% set chances = 'hoch'|trans({}, 'game') %}{% endif %}
        <div class="note warning">
            <strong><img src="{{ asset('build/images/status/status_ghoul.gif') }}" alt="" />{{'Die Chance, beim Verschlingen eines Bürgers entdeckt zu werden, ist {chances}...'|trans({'{chances}': chances}, 'game')|raw }}</strong><br />
            {{'Das Risiko basiert auf der Anzahl der Bürger in der Aussenwelt. Je mehr Bürger sich außerhalb der Stadt aufhalten, desto geringer sind die Chancen, entdeckt zu werden.'|trans({}, 'game')|raw }}
        </div>
    {% endif %}
    <div class="row-table citizens-list">
        <div class="row-flex header">
            <div class="padded cell rw-5 left rw-md-7">{{ 'Bürger'|trans({},'game') }}</div>
            <div class="padded cell rw-4 hide-md hide-sm center">{{ 'Nachricht'|trans({},'game') }}</div>
            <div class="padded cell rw-1 hide-lg hide-md hide-sm center">
                {{ 'Def.'|trans({},'game') }}<br />
                {{ help_btn('Zeigt die Hausverteidigung an.'|trans({},'game')) }}
            </div>
            <div class="padded cell rw-2 rw-lg-3 rw-md-5 right">{{ 'Draußen?'|trans({},'game') }}</div>
        </div>

        {% set wrapped_citizens = citizens %}
        {% if town.strangerEnabled %}
            {% set wrapped_citizens = wrapped_citizens|merge([{
                'stranger': true,
                'citizen': { 'alive': town.strangerPower > 0, 'alias': null, 'name': 'Mysteriöser Fremder'|trans({}, 'game'), 'survivedDays': 0 }
            }]) %}
        {% endif %}

        {% for citizenInfo in wrapped_citizens|sort((a,b) => (a.citizen.alive == b.citizen.alive) ? ((a.citizen.alive) ? (a.citizen.alias != null ? a.citizen.alias[2:] : a.citizen.name)|lower <=> (b.citizen.alias != null ? b.citizen.alias[2:] : b.citizen.name)|lower : b.citizen.survivedDays <=> a.citizen.survivedDays) : b.citizen.alive <=> a.citizen.alive) %}
            {% if citizenInfo['stranger'] is defined %}
                {% if town.strangerEnabled %}
                    <div class="row-flex stretch" style="max-height: 100px;">
                        <div class="cell factor-0 avatar ua-{{ random(0,9) }} hide-mobile" style="flex-basis: 92px;background: url('{{ asset('build/images/forum/empty_avatar.gif') }}') center/cover no-repeat;">&nbsp;</div>
                        <div class="cell factor-0 citizen-{{ town.strangerPower > 0 ? 'online' : 'dead' }}" style="flex-basis: 8px;">&nbsp;</div>

                        <div class="padded cell rw-4 factor-1 small content-center-vertical citizen-box citizen-box-name">
                            <div>
                                <div>
                                    {% if town.strangerPower > 0 %}
                                        <img alt="" src="{{ asset('build/images/professions/stranger.gif') }}" />
                                    {% else %}
                                        <img alt="{{ 'Tot!'|trans({},'game') }}" src="{{ asset('build/images/professions/death.gif') }}" />
                                        {% if citizen.home.recycling >= 15 %}
                                            <img alt="{{ 'Tot!'|trans({},'game') }}" src="{{ asset('build/images/icons/home_recycled.gif') }}" />
                                        {% endif %}
                                    {% endif %}
                                    <a class="username undecorated" style="word-break: break-word">{{ 'Mysteriöser Fremder'|trans({}, 'game') }}</a>
                                </div>
                                <div class="hide-desktop small-citizen-defense">
                                    {% if town.strangerPower > 0 %}
                                        <img alt="" src="{{ asset('build/images/professions/void.gif') }}" />
                                        <span class="citizen-defense"> -- </span>
                                    {% endif %}
                                </div>
                            </div>
                        </div>
                        {% if town.strangerPower > 0 %}
                            <div class="padded cell rw-8 hide-md factor-2 small citizen-box"></div>
                            <div class="padded cell factor-0 citizen-box hide-lg hide-md hide-sm" style="flex-basis: 80px">
                                <img alt="" src="{{ asset('build/images/professions/void.gif') }}" />
                                <span class="citizen-defense"> -- </span>
                            </div>
                            <div class="padded cell factor-0 small right citizen-box location" style="flex-basis: 80px;">
                                {{ "In der Stadt"|trans({},'game') }}
                            </div>
                        {% else %}
                            <div class="padded cell rw-8 hide-md factor-2 small citizen-box">
                                <em>{{ 'Leere Truhe'|trans({},'game') }}</em>
                                <ul class="inventory borderless"></ul>
                                <div class="tooltip normal">
                                    <strong class="warning">{{'Todesursache'|trans({}, 'game')}}</strong> : {{ 'Unbekannte Todesursache'|trans({}, "game") }}
                                </div>
                            </div>
                            <div class="padded cell factor-0 small citizen-box hide-lg hide-md hide-sm" style="flex-basis: 160px;">
                                <span>{{ 'Dieser Bürger hat keine letzten Worte hinterlassen ...'|trans({}, 'game') }}</span>
                            </div>
                            <div class="padded cell factor-0 small citizen-box hide-desktop" style="flex-basis: 80px;">
                                <span>{{ 'Dieser Bürger hat keine letzten Worte hinterlassen ...'|trans({}, 'game') }}</span>
                            </div>
                        {% endif %}
                    </div>
                {% endif %}
            {% else %}
                {% set citizen = citizenInfo.citizen %}
                {# @var \App\Entity\Citizen citizen  #}
                <div class="row-flex stretch pointer{% if citizen == me%} me{% endif %}" style="max-height: 100px;">
                <div class="cell factor-0 avatar ua-{{ random(0,9) }} hide-mobile" style="flex-basis: 92px; background: url('{{ citizen.user.avatar ? path('app_web_avatar', {'uid': citizen.user.id, 'name': citizen.user.avatar.smallName, 'ext': citizen.user.avatar.format}) : asset('build/images/forum/empty_avatar.gif') }}') center/cover no-repeat;" x-ajax-href="{{ path('town_visit', {id: citizen.id}) }}">&nbsp;</div>
                <div class="cell factor-0 citizen-{{ citizen.alive ? (citizen.online ? 'online' : 'offline') : 'dead' }}" style="flex-basis: 8px;" x-ajax-href="{{ path('town_visit', {id: citizen.id}) }}">&nbsp;</div>
                
                <div class="padded cell rw-4 factor-1 small content-center-vertical citizen-box {% if citizen == me%} citizen-box-name-me {% else %} citizen-box-name {% endif %}">
                    <div>
                        <div>
                            {% if citizen.alive %}
                                <img alt="{{ citizen.profession.label|trans({},'game') }}" src="{{ asset('build/images/professions/' ~ citizen.profession.icon ~ '.gif') }}" />
                                {% for role in citizen.roles %}
                                    {% if not role.secret and not role.hidden %}
                                    <span>
                                        <img alt="" src="{{ asset('build/images/roles/' ~ role.icon ~ '.gif') }}" />
                                        <div class="tooltip">{{'Diese Bürger is der {role} der Stadt'|trans({'role': role.label|trans({'ref': citizen}, 'game'), 'ref': citizen}, 'game')}}</div>
                                    </span>
                                    {% endif %}
                                {% endfor %}
                            {% else %}
                                <img alt="{{ 'Tot!'|trans({},'game') }}" src="{{ asset('build/images/professions/death.gif') }}" />
                                {% if citizen.home.holdsBody %}
                                    <div class="inline-block">
                                    <img alt="{{ 'Leiche nicht beseitigt!'|trans({},'game') }}" src="{{ asset('build/images/icons/small_warning.gif') }}" />
                                        <div class="tooltip normal"><span class="warning">{{'Der Leichnam von {citizen} wurde nicht zerstört.'|trans({'{citizen}': citizen.name}, 'game')}}</span> {{'Es ist gut möglich, dass er diese Nacht aufersteht und versuchen wird, uns anzugreifen.'|trans({}, 'game')}}</div>
                                    </div>
                                {% endif %}
                                {% if citizen.home.recycling >= 15 %}
                                    <img alt="{{ 'Tot!'|trans({},'game') }}" src="{{ asset('build/images/icons/home_recycled.gif') }}" />
                                {% endif %}
                                {% if citizen.hasEaten %}
                                    <div class="inline-block">
                                        <img alt="" src="{{ asset('build/images/professions/cannib.gif') }}" />
                                        <div class="tooltip normal">
                                            {{'{citizen} hat einen Teil seines Heißhungers gestillt, indem er Teile seiner Mitbürger gegessen hat. Um sicherzustellen, dass so etwas nicht noch einmal passiert, übergieße die Verstorbenen das nächste Mal mit Wasser...'|trans({'{citizen}':citizen.name}, 'game')}}
                                        </div>
                                    </div>
                                {% endif %}
                            {% endif %}
                            {% include 'ajax/soul/playername.html.twig' with {user: citizen.user, tag: 'a', additional_classes: [
                                'undecorated',
                                citizen == me ? 'citizen-label-name-me' : null,
                            ]} only %}
                            {% if citizen.alive %}
                                {% if citizen.banished %}
                                    <div class="inline">
                                        <img alt="" src="{{ asset('build/images/icons/banished.gif') }}" />
                                        <div class="tooltip help">
                                            {{ 'Dieser Bürger wurde aus der Gemeinschaft verbannt.'|trans({},'game') }}
                                        </div>
                                    </div>
                                {% endif %}
                                {% if citizen.profession.heroic %}
                                    <img alt="" src="{{ asset('build/images/professions/hero.gif') }}" />
                                {% else %}
                                    <img alt="" src="{{ asset('build/images/professions/void.gif') }}" />
                                {% endif %}
                            {% endif %}
                        </div>
                        <div class="hide-desktop small-citizen-defense">
                            {% if citizen.alive %}
                                <img alt="{{ citizen.home.prototype.level }}" src="{{ asset('build/images/home/' ~ citizen.home.prototype.icon ~ '.gif') }}" />
                                <span class="citizen-defense">{% if citizenInfo.defense > 0 %} {{ citizenInfo.defense }} pts {% else %} -- {% endif %}</span>
                            {% endif %}
                        </div>
                    </div>
                </div>
                {% if citizen.alive %}
                    <div class="padded cell rw-8 hide-md factor-2 small citizen-box" x-ajax-href="{{ path('town_visit', {id: citizen.id}) }}">
                        {{ citizen.home.description }}
                        <div class="tooltip normal">
                            {% if not hidden[citizen.id] %}
                                {% if citizen.home.chest.items|length == 0 %}
                                    <em>{{ 'Leere Truhe'|trans({},'game') }}</em>
                                {% else %}
                                    <em>{{ 'Truhe'|trans({},'game') }}</em><br />
                                {% endif %}
                                <ul class="inventory borderless">
                                {% for item in citizen.home.chest.items %}
                                    {# @var \App\Entity\Item item #}
                                    {% if (citizen == me or not item.prototype.hideInForeignChest) %}
                                        {% embed "ajax/game/item.html.twig" with {'item': item, 'no_tooltip': true} %}{% endembed %}
                                    {% endif %}
                                {% endfor %}
                                </ul>

                            {% else %}
                                <em>{{ 'Der Inhalt dieses Hauses wird durch Vorhänge an den Fenstern verdeckt...'|trans({},'game') }}</em>
                            {% endif %}
                        </div>
                    </div>
                    <div class="padded cell factor-0 citizen-box hide-lg hide-md hide-sm" x-ajax-href="{{ path('town_visit', {id: citizen.id}) }}" style="flex-basis: 80px">
                        <img alt="{{ citizen.home.prototype.level }}" src="{{ asset('build/images/home/' ~ citizen.home.prototype.icon ~ '.gif') }}" />
                        <span class="citizen-defense">{% if citizenInfo.defense > 0 %} {{ citizenInfo.defense }} pts {% else %} -- {% endif %}</span>
                    </div>
                    <div class="padded cell factor-0 small right citizen-box location" x-ajax-href="{{ path('town_visit', {id: citizen.id}) }}" style="flex-basis: 80px;">
                        <div class="tooltip normal">
                            {% if not hidden[citizen.id] %}
                                {% if citizen.home.chest.items|length == 0 %}
                                    <em>{{ 'Leere Truhe'|trans({},'game') }}</em>
                                {% else %}
                                    <em>{{ 'Truhe'|trans({},'game') }}</em><br />
                                {% endif %}
                                <ul class="inventory borderless">
                                {% for item in citizen.home.chest.items %}
                                    {# @var \App\Entity\Item item #}
                                    {% if (citizen == me or not item.prototype.hideInForeignChest) %}
                                        {% embed "ajax/game/item.html.twig" with {'item': item, 'no_tooltip': true} %}{% endembed %}
                                    {% endif %}
                                {% endfor %}
                                </ul>

                            {% else %}
                                <em>{{ 'Der Inhalt dieses Hauses wird durch Vorhänge an den Fenstern verdeckt...'|trans({},'game') }}</em>
                            {% endif %}
                        </div>
                    {% if not citizen.zone %}
                        {{ "In der Stadt"|trans({},'game') }}
                    {% else %}
                        {% if town.chaos %}
                            {{ "Ja"|trans({},'game') }}
                        {% else %}
                            {% if (citizen.zone.x == 0) and (citizen.zone.y == 0) %}
                                {{ "Am Stadttor"|trans({},'game') }}
                            {% else %}
                                [{{ citizen.zone.x }},{{ citizen.zone.y }}]
                            {% endif %}
                        {% endif %}
                    {% endif %}
                    </div>
                {% else %}
                    <div class="padded cell rw-8 hide-md factor-2 small citizen-box" x-ajax-href="{{ path('town_visit', {id: citizen.id}) }}">
                        {% if citizen.home.chest.items|length == 0 %}
                            <em>{{ 'Leere Truhe'|trans({},'game') }}</em>
                        {% endif %}
                        <ul class="inventory borderless">
                            {% for item in citizen.home.chest.items %}
                                {# @var \App\Entity\Item item #}
                                {% if (citizen == me or not item.prototype.hideInForeignChest) %}
                                    {% embed "ajax/game/item.html.twig" with {'item': item, 'no_id': true} %}{% endembed %}
                                {% endif %}
                            {% endfor %}
                        </ul>
                        <div class="tooltip normal">
                            <strong class="warning">{{'Todesursache'|trans({}, 'game')}}</strong> : {{ citizen.causeOfDeath.label|trans({}, "game") }}
                        </div>
                    </div>
                    <div class="padded cell factor-0 small citizen-box hide-lg hide-md hide-sm" x-ajax-href="{{ path('town_visit', {id: citizen.id}) }}" style="flex-basis: 160px;">
                        {% if citizen.lastWords is null %}
                            <span>--</span>
                        {% elseif citizen.lastWords is empty %}
                            <span>{{ 'Dieser Bürger hat keine letzten Worte hinterlassen ...'|trans({}, 'game') }}</span>
                        {% else %}
                            <b>{{"Letzte Worte:"|trans({}, 'game')}}</b> {{ citizen.lastWords|replace({'{gotKilled}': '...der Mörder .. ist.. IST.. AAARGHhh..'|trans({},'game')}) }}
                        {% endif %}
                    </div>
                    <div class="padded cell factor-0 small citizen-box hide-desktop" x-ajax-href="{{ path('town_visit', {id: citizen.id}) }}" style="flex-basis: 80px;">
                        {% if citizen.lastWords is null %}
                            <span>--</span>
                        {% elseif citizen.lastWords is empty %}
                            <span>{{ 'Dieser Bürger hat keine letzten Worte hinterlassen ...'|trans({}, 'game') }}</span>
                        {% else %}
                            <b>{{"Letzte Worte:"|trans({}, 'game')}}</b> {{ citizen.lastWords|replace({'{gotKilled}': '...der Mörder .. ist.. IST.. AAARGHhh..'|trans({},'game')}) }}
                        {% endif %}
                    </div>
                {% endif %}
            </div>
            {% endif %}
        {% endfor %}
    </div>

    <div class="row">
        <div class="padded cell rw-12 right"><a class="small" href="#" x-ajax-href="{{ path('town_house') }}">{{ 'Meine persönliche Nachricht ändern'|trans({},'game') }}</a></div>
    </div>

    <div class="cell padded center prof-list">
        {% for elem in prof_count %}
            <span class="prof">
                <img alt="{{ elem[1].label|trans({},'game') }}" src="{{ asset('build/images/professions/' ~ elem[1].icon ~ '.gif') }}" />
                <em>{{ elem[1].label|trans({},'game') }}</em> x {{ elem[0] }}
            </span>
        {% endfor %}
        {% if town.strangerPower > 0 %}
            <span class="prof">
                <img alt="" src="{{ asset('build/images/professions/stranger.gif') }}" />
                <em>???</em> x {{ town.strangers }}
            </span>
        {% endif %}
        {#
        {% if death_count > 0 %}
            <span class="prof">
                <img alt="{{ 'Tot'|trans({},'game') }}" src="{{ asset('build/images/professions/death.gif') }}" />
                <em>{{ 'Tot'|trans({},'game') }}</em> x {{ death_count }}
            </span>
        {% endif %}
        #}
        <span class="prof">
            <img alt="" src="{{ asset('build/images/icons/small_human.gif') }}" /> <span class="citizen_count">{{ "{citizens} Bürger"|trans({ '{citizens}': citizens|length + town.strangers - death_count }, 'game') }} {% if death_count > 0 %}<em>(+ {{ '{deads} Tot'|trans({'{deads}': death_count},'game') }})</em>{% endif %}</span>
        </span>
    </div>

{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
    </script>
{% endblock %}
